export default {
    namespaced: true,
    state: {
        message: '',
        takeover: {}
    },
    actions: {
      set ({ state, dispatch }, message) {
        return new Promise(async resolve => {
          state.message = message
        })
      },
      setTakeover ({ state, dispatch }, takeover) {
        return new Promise(async resolve => {
          state.takeover = takeover
        })
      }
    }
  }
